using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATWorkItemArc")]
public partial class AtworkItemArc
{
    [Key]
    public int WorkItemId { get; set; }

    [StringLength(255)]
    public string WorkItemName { get; set; } = null!;

    [StringLength(255)]
    public string? Creator { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? Created { get; set; }

    public int Priority { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? DueDate { get; set; }

    [Column("ATComment")]
    [StringLength(255)]
    public string? Atcomment { get; set; }

    [StringLength(255)]
    public string? LockedBy { get; set; }

    [Column("ProcessID")]
    public int? ProcessId { get; set; }

    public int? Expired { get; set; }

    public Guid? ObjectId { get; set; }
}
